Package org.kapott.hbci.GV_Result

# Class GVRWPDepotUms.Entry

java.lang.Object
org.kapott.hbci.GV_Result.GVRWPDepotUms.Entry

Enclosing class:
  GVRWPDepotUms

public static final class GVRWPDepotUms.Entry extends Object
Ein Eintrag zu genau einem Depot

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`GVRWPDepotUms.Entry.FinancialInstrument`

## Field Summary

Fields
Modifier and Type
Field
Description
`Konto`
`depot`
Depotkonto, auf das sich der Eintrag bezieht.
`final List<GVRWPDepotUms.Entry.FinancialInstrument>`
`instruments`
Liste der Wertpapiere mit Umsätzen
`Date`
`timestamp`
Zeitpunkt der Erstellung dieser Daten

## Constructor Summary

Constructors
Constructor
Description
`Entry()`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### timestamp

public Date timestamp
Zeitpunkt der Erstellung dieser Daten

### depot

public Konto depot
Depotkonto, auf das sich der Eintrag bezieht.

### instruments

public final List<GVRWPDepotUms.Entry.FinancialInstrument> instruments
Liste der Wertpapiere mit Umsätzen

## Constructor Details

### Entry

public Entry()

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`